Bug 185320 - misc/libutf: Prevent stripping symbols from static library
Summary: misc/libutf: Prevent stripping symbols from static library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-02-23 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.40 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff
misc_libutf.diff (1.75 KB, patch)
2014-02-07 19:27 UTC, tkato432
no flags Details | Diff
misc_libutf.diff (1.69 KB, patch)
2014-02-13 10:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:03 UTC
- Prevent stripping symbols from static library
- Add LICENSE
- Support PLIST_FILES
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:46:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 12:46:41 UTC
State Changed
From-To: open->feedback

fails to package http://pkgdev.miwibox.org/latest-per-pkg/libutf/2.10_2/
Comment 3 tkato432 2014-02-07 19:27:29 UTC
Here is the corrected patch.
Comment 4 tkato432 2014-02-13 10:00:01 UTC
Remake of the patch against current tree.
Comment 5 Martin Wilke freebsd_committer 2014-02-23 15:58:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-02-23 15:58:52 UTC
Author: miwi
Date: Sun Feb 23 15:58:40 2014
New Revision: 345743
URL: http://svnweb.freebsd.org/changeset/ports/345743
QAT: https://qat.redports.org/buildarchive/r345743/

Log:
  - Add License
  - Stage support
  - Support PLIST_FILES
  
  PR:		185320
  Submitted by:	Ports Fury

Deleted:
  head/misc/libutf/pkg-plist
Modified:
  head/misc/libutf/Makefile

Modified: head/misc/libutf/Makefile
==============================================================================
--- head/misc/libutf/Makefile	Sun Feb 23 15:55:54 2014	(r345742)
+++ head/misc/libutf/Makefile	Sun Feb 23 15:58:40 2014	(r345743)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libutf
 PORTVERSION=	2.10
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	misc
 MASTER_SITES=	ftp://ftp.cs.yorku.ca/pub/wily/misc/ \
 		http://www.westley.demon.co.uk/src/
@@ -11,17 +11,23 @@ MASTER_SITES=	ftp://ftp.cs.yorku.ca/pub/
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	UTF-8 character set support library, including regular expressions
 
-GNU_CONFIGURE=	YES
+LICENSE=	BSD
+
+GNU_CONFIGURE=	yes
+MAKE_ARGS=	ETCDIR="${DATADIR}"
 ALL_TARGET=	tst
-MAKE_ARGS=	ETCDIR=${EXAMPLESDIR}
+
+PLIST_FILES=	include/ure.h include/utf.h lib/libutf.a \
+		man/man3/ure.3.gz man/man3/utf.3.gz %%DATADIR%%/langcoll.utf
+PLIST_DIRS=	%%DATADIR%%
 
 do-install:
 	${INSTALL_DATA} ${WRKSRC}/ure.h ${STAGEDIR}${PREFIX}/include
 	${INSTALL_DATA} ${WRKSRC}/utf.h ${STAGEDIR}${PREFIX}/include
 	${INSTALL_DATA} ${WRKSRC}/libutf.a ${STAGEDIR}${PREFIX}/lib
-	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/langcoll.utf ${STAGEDIR}${EXAMPLESDIR}
 	${INSTALL_MAN} ${WRKSRC}/utf.3 ${STAGEDIR}${MAN3PREFIX}/man/man3
 	${INSTALL_MAN} ${WRKSRC}/ure.3 ${STAGEDIR}${MAN3PREFIX}/man/man3
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/langcoll.utf ${STAGEDIR}${DATADIR}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"